- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Static Public Member Functions | Friends

# QPainter Class Reference

Search for all occurrences

## Detailed Description

Definition at line 85 of file qpainter.h.

`#include <qpainter.h>`

Inheritance diagram for QPainter:
[legend]

List of all members.

## Classes
class | PixmapFragment
## Public Types
enum | RenderHint { Antialiasing = 0x01, TextAntialiasing = 0x02, SmoothPixmapTransform = 0x04, HighQualityAntialiasing = 0x08, NonCosmeticDefaultPen = 0x10 }
enum | PixmapFragmentHint { OpaqueHint = 0x01 }
enum | CompositionMode { CompositionMode_SourceOver, CompositionMode_DestinationOver, CompositionMode_Clear, CompositionMode_Source, CompositionMode_Destination, CompositionMode_SourceIn, CompositionMode_DestinationIn, CompositionMode_SourceOut, CompositionMode_DestinationOut, CompositionMode_SourceAtop, CompositionMode_DestinationAtop, CompositionMode_Xor, CompositionMode_Plus, CompositionMode_Multiply, CompositionMode_Screen, CompositionMode_Overlay, CompositionMode_Darken, CompositionMode_Lighten, CompositionMode_ColorDodge, CompositionMode_ColorBurn, CompositionMode_HardLight, CompositionMode_SoftLight, CompositionMode_Difference, CompositionMode_Exclusion, RasterOp_SourceOrDestination, RasterOp_SourceAndDestination, RasterOp_SourceXorDestination, RasterOp_NotSourceAndNotDestination, RasterOp_NotSourceOrNotDestination, RasterOp_NotSourceXorDestination, RasterOp_NotSource, RasterOp_NotSourceAndDestination, RasterOp_SourceAndNotDestination }
## Public Member Functions
| QPainter ()
| QPainter (QPaintDevice *)
| ~QPainter ()
QPaintDevice * | device () const
bool | begin (QPaintDevice *)
bool | end ()
bool | isActive () const
void | initFrom (const QWidget *widget)
void | setCompositionMode (CompositionMode mode)
CompositionMode | compositionMode () const
const QFont & | font () const
void | setFont (const QFont &f)
QFontMetrics | fontMetrics () const
QFontInfo | fontInfo () const
void | setPen (const QColor &color)
void | setPen (const QPen &pen)
void | setPen (Qt::PenStyle style)
const QPen & | pen () const
void | setBrush (const QBrush &brush)
void | setBrush (Qt::BrushStyle style)
const QBrush & | brush () const
void | setBackgroundMode (Qt::BGMode mode)
Qt::BGMode | backgroundMode () const
QPoint | brushOrigin () const
void | setBrushOrigin (int x, int y)
void | setBrushOrigin (const QPoint &)
void | setBrushOrigin (const QPointF &)
void | setBackground (const QBrush &bg)
const QBrush & | background () const
qreal | opacity () const
void | setOpacity (qreal opacity)
QRegion | clipRegion () const
QPainterPath | clipPath () const
void | setClipRect (const QRectF &, Qt::ClipOperation op=Qt::ReplaceClip)
void | setClipRect (const QRect &, Qt::ClipOperation op=Qt::ReplaceClip)
void | setClipRect (int x, int y, int w, int h, Qt::ClipOperation op=Qt::ReplaceClip)
void | setClipRegion (const QRegion &, Qt::ClipOperation op=Qt::ReplaceClip)
void | setClipPath (const QPainterPath &path, Qt::ClipOperation op=Qt::ReplaceClip)
void | setClipping (bool enable)
bool | hasClipping () const
void | save ()
void | restore ()
void | setMatrix (const QMatrix &matrix, bool combine=false)
const QMatrix & | matrix () const
const QMatrix & | deviceMatrix () const
void | resetMatrix ()
void | setTransform (const QTransform &transform, bool combine=false)
const QTransform & | transform () const
const QTransform & | deviceTransform () const
void | resetTransform ()
void | setWorldMatrix (const QMatrix &matrix, bool combine=false)
const QMatrix & | worldMatrix () const
void | setWorldTransform (const QTransform &matrix, bool combine=false)
const QTransform & | worldTransform () const
QMatrix | combinedMatrix () const
QTransform | combinedTransform () const
void | setMatrixEnabled (bool enabled)
bool | matrixEnabled () const
void | setWorldMatrixEnabled (bool enabled)
bool | worldMatrixEnabled () const
void | scale (qreal sx, qreal sy)
void | shear (qreal sh, qreal sv)
void | rotate (qreal a)
void | translate (const QPointF &offset)
void | translate (const QPoint &offset)
void | translate (qreal dx, qreal dy)
QRect | window () const
void | setWindow (const QRect &window)
void | setWindow (int x, int y, int w, int h)
QRect | viewport () const
void | setViewport (const QRect &viewport)
void | setViewport (int x, int y, int w, int h)
void | setViewTransformEnabled (bool enable)
bool | viewTransformEnabled () const
void | strokePath (const QPainterPath &path, const QPen &pen)
void | fillPath (const QPainterPath &path, const QBrush &brush)
void | drawPath (const QPainterPath &path)
void | drawPoint (const QPointF &pt)
void | drawPoint (const QPoint &p)
void | drawPoint (int x, int y)
void | drawPoints (const QPointF *points, int pointCount)
void | drawPoints (const QPolygonF &points)
void | drawPoints (const QPoint *points, int pointCount)
void | drawPoints (const QPolygon &points)
void | drawLine (const QLineF &line)
void | drawLine (const QLine &line)
void | drawLine (int x1, int y1, int x2, int y2)
void | drawLine (const QPoint &p1, const QPoint &p2)
void | drawLine (const QPointF &p1, const QPointF &p2)
void | drawLines (const QLineF *lines, int lineCount)
void | drawLines (const QVector< QLineF > &lines)
void | drawLines (const QPointF *pointPairs, int lineCount)
void | drawLines (const QVector< QPointF > &pointPairs)
void | drawLines (const QLine *lines, int lineCount)
void | drawLines (const QVector< QLine > &lines)
void | drawLines (const QPoint *pointPairs, int lineCount)
void | drawLines (const QVector< QPoint > &pointPairs)
void | drawRect (const QRectF &rect)
void | drawRect (int x1, int y1, int w, int h)
void | drawRect (const QRect &rect)
void | drawRects (const QRectF *rects, int rectCount)
void | drawRects (const QVector< QRectF > &rectangles)
void | drawRects (const QRect *rects, int rectCount)
void | drawRects (const QVector< QRect > &rectangles)
void | drawEllipse (const QRectF &r)
void | drawEllipse (const QRect &r)
void | drawEllipse (int x, int y, int w, int h)
void | drawEllipse (const QPointF &center, qreal rx, qreal ry)
void | drawEllipse (const QPoint &center, int rx, int ry)
void | drawPolyline (const QPointF *points, int pointCount)
void | drawPolyline (const QPolygonF &polyline)
void | drawPolyline (const QPoint *points, int pointCount)
void | drawPolyline (const QPolygon &polygon)
void | drawPolygon (const QPointF *points, int pointCount, Qt::FillRule fillRule=Qt::OddEvenFill)
void | drawPolygon (const QPolygonF &polygon, Qt::FillRule fillRule=Qt::OddEvenFill)
void | drawPolygon (const QPoint *points, int pointCount, Qt::FillRule fillRule=Qt::OddEvenFill)
void | drawPolygon (const QPolygon &polygon, Qt::FillRule fillRule=Qt::OddEvenFill)
void | drawConvexPolygon (const QPointF *points, int pointCount)
void | drawConvexPolygon (const QPolygonF &polygon)
void | drawConvexPolygon (const QPoint *points, int pointCount)
void | drawConvexPolygon (const QPolygon &polygon)
void | drawArc (const QRectF &rect, int a, int alen)
void | drawArc (const QRect &, int a, int alen)
void | drawArc (int x, int y, int w, int h, int a, int alen)
void | drawPie (const QRectF &rect, int a, int alen)
void | drawPie (int x, int y, int w, int h, int a, int alen)
void | drawPie (const QRect &, int a, int alen)
void | drawChord (const QRectF &rect, int a, int alen)
void | drawChord (int x, int y, int w, int h, int a, int alen)
void | drawChord (const QRect &, int a, int alen)
void | drawRoundedRect (const QRectF &rect, qreal xRadius, qreal yRadius, Qt::SizeMode mode=Qt::AbsoluteSize)
void | drawRoundedRect (int x, int y, int w, int h, qreal xRadius, qreal yRadius, Qt::SizeMode mode=Qt::AbsoluteSize)
void | drawRoundedRect (const QRect &rect, qreal xRadius, qreal yRadius, Qt::SizeMode mode=Qt::AbsoluteSize)
void | drawRoundRect (const QRectF &r, int xround=25, int yround=25)
void | drawRoundRect (int x, int y, int w, int h, int=25, int=25)
void | drawRoundRect (const QRect &r, int xround=25, int yround=25)
void | drawTiledPixmap (const QRectF &rect, const QPixmap &pm, const QPointF &offset=QPointF())
void | drawTiledPixmap (int x, int y, int w, int h, const QPixmap &, int sx=0, int sy=0)
void | drawTiledPixmap (const QRect &, const QPixmap &, const QPoint &=QPoint())
void | drawPicture (const QPointF &p, const QPicture &picture)
void | drawPicture (int x, int y, const QPicture &picture)
void | drawPicture (const QPoint &p, const QPicture &picture)
void | drawPixmap (const QRectF &targetRect, const QPixmap &pixmap, const QRectF &sourceRect)
void | drawPixmap (const QRect &targetRect, const QPixmap &pixmap, const QRect &sourceRect)
void | drawPixmap (int x, int y, int w, int h, const QPixmap &pm, int sx, int sy, int sw, int sh)
void | drawPixmap (int x, int y, const QPixmap &pm, int sx, int sy, int sw, int sh)
void | drawPixmap (const QPointF &p, const QPixmap &pm, const QRectF &sr)
void | drawPixmap (const QPoint &p, const QPixmap &pm, const QRect &sr)
void | drawPixmap (const QPointF &p, const QPixmap &pm)
void | drawPixmap (const QPoint &p, const QPixmap &pm)
void | drawPixmap (int x, int y, const QPixmap &pm)
void | drawPixmap (const QRect &r, const QPixmap &pm)
void | drawPixmap (int x, int y, int w, int h, const QPixmap &pm)
void | drawPixmapFragments (const PixmapFragment *fragments, int fragmentCount, const QPixmap &pixmap, PixmapFragmentHints hints=0)
void | drawImage (const QRectF &targetRect, const QImage &image, const QRectF &sourceRect, Qt::ImageConversionFlags flags=Qt::AutoColor)
void | drawImage (const QRect &targetRect, const QImage &image, const QRect &sourceRect, Qt::ImageConversionFlags flags=Qt::AutoColor)
void | drawImage (const QPointF &p, const QImage &image, const QRectF &sr, Qt::ImageConversionFlags flags=Qt::AutoColor)
void | drawImage (const QPoint &p, const QImage &image, const QRect &sr, Qt::ImageConversionFlags flags=Qt::AutoColor)
void | drawImage (const QRectF &r, const QImage &image)
void | drawImage (const QRect &r, const QImage &image)
void | drawImage (const QPointF &p, const QImage &image)
void | drawImage (const QPoint &p, const QImage &image)
void | drawImage (int x, int y, const QImage &image, int sx=0, int sy=0, int sw=-1, int sh=-1, Qt::ImageConversionFlags flags=Qt::AutoColor)
void | setLayoutDirection (Qt::LayoutDirection direction)
Qt::LayoutDirection | layoutDirection () const
void | drawStaticText (const QPointF &topLeftPosition, const QStaticText &staticText)
void | drawStaticText (const QPoint &topLeftPosition, const QStaticText &staticText)
void | drawStaticText (int left, int top, const QStaticText &staticText)
void | drawText (const QPointF &p, const QString &s)
void | drawText (const QPoint &p, const QString &s)
void | drawText (int x, int y, const QString &s)
void | drawText (const QPointF &p, const QString &str, int tf, int justificationPadding)
void | drawText (const QRectF &r, int flags, const QString &text, QRectF *br=0)
void | drawText (const QRect &r, int flags, const QString &text, QRect *br=0)
void | drawText (int x, int y, int w, int h, int flags, const QString &text, QRect *br=0)
void | drawText (const QRectF &r, const QString &text, const QTextOption &o=QTextOption())
QRectF | boundingRect (const QRectF &rect, int flags, const QString &text)
QRect | boundingRect (const QRect &rect, int flags, const QString &text)
QRect | boundingRect (int x, int y, int w, int h, int flags, const QString &text)
QRectF | boundingRect (const QRectF &rect, const QString &text, const QTextOption &o=QTextOption())
void | drawTextItem (const QPointF &p, const QTextItem &ti)
void | drawTextItem (int x, int y, const QTextItem &ti)
void | drawTextItem (const QPoint &p, const QTextItem &ti)
void | fillRect (const QRectF &, const QBrush &)
void | fillRect (int x, int y, int w, int h, const QBrush &)
void | fillRect (const QRect &, const QBrush &)
void | fillRect (const QRectF &, const QColor &color)
void | fillRect (int x, int y, int w, int h, const QColor &color)
void | fillRect (const QRect &, const QColor &color)
void | fillRect (int x, int y, int w, int h, Qt::GlobalColor c)
void | fillRect (const QRect &r, Qt::GlobalColor c)
void | fillRect (const QRectF &r, Qt::GlobalColor c)
void | fillRect (int x, int y, int w, int h, Qt::BrushStyle style)
void | fillRect (const QRect &r, Qt::BrushStyle style)
void | fillRect (const QRectF &r, Qt::BrushStyle style)
void | eraseRect (const QRectF &)
void | eraseRect (int x, int y, int w, int h)
void | eraseRect (const QRect &)
void | setRenderHint (RenderHint hint, bool on=true)
void | setRenderHints (RenderHints hints, bool on=true)
RenderHints | renderHints () const
bool | testRenderHint (RenderHint hint) const
QPaintEngine * | paintEngine () const
void | beginNativePainting ()
void | endNativePainting ()
## Static Public Member Functions
static void | setRedirected (const QPaintDevice *device, QPaintDevice *replacement, const QPoint &offset=QPoint())
static QPaintDevice * | redirected (const QPaintDevice *device, QPoint *offset=0)
static void | restoreRedirected (const QPaintDevice *device)
## Friends
class | Q3Painter
class | QFontEngine
class | QFontEngineBox
class | QFontEngineFT
class | QFontEngineMac
class | QFontEngineWin
class | QFontEngineXLFD
class | QWSManager
class | QPaintEngine
class | QPaintEngineExPrivate
class | QOpenGLPaintEngine
class | QX11PaintEngine
class | QX11PaintEnginePrivate
class | QWin32PaintEngine
class | QWin32PaintEnginePrivate
class | QRasterPaintEngine
class | QAlphaPaintEngine
class | QPreviewPaintEngine

## Member Enumeration Documentation

enum RenderHint

Search for all occurrences

Enumerator:

  Antialiasing | Search for all occurrences
  TextAntialiasing | Search for all occurrences
  SmoothPixmapTransform | Search for all occurrences
  HighQualityAntialiasing | Search for all occurrences
  NonCosmeticDefaultPen | Search for all occurrences

Definition at line 92 of file qpainter.h.

                        {
            Antialiasing = 0x01,
            TextAntialiasing = 0x02,
            SmoothPixmapTransform = 0x04,
            HighQualityAntialiasing = 0x08,
            NonCosmeticDefaultPen = 0x10
        };

enum PixmapFragmentHint

Search for all occurrences

Enumerator:

  OpaqueHint | Search for all occurrences

Definition at line 119 of file qpainter.h.

                                {
            OpaqueHint = 0x01
        };

enum CompositionMode

Search for all occurrences

Enumerator:

  CompositionMode_SourceOver | Search for all occurrences
  CompositionMode_DestinationOver | Search for all occurrences
  CompositionMode_Clear | Search for all occurrences
  CompositionMode_Source | Search for all occurrences
  CompositionMode_Destination | Search for all occurrences
  CompositionMode_SourceIn | Search for all occurrences
  CompositionMode_DestinationIn | Search for all occurrences
  CompositionMode_SourceOut | Search for all occurrences
  CompositionMode_DestinationOut | Search for all occurrences
  CompositionMode_SourceAtop | Search for all occurrences
  CompositionMode_DestinationAtop | Search for all occurrences
  CompositionMode_Xor | Search for all occurrences
  CompositionMode_Plus | Search for all occurrences
  CompositionMode_Multiply | Search for all occurrences
  CompositionMode_Screen | Search for all occurrences
  CompositionMode_Overlay | Search for all occurrences
  CompositionMode_Darken | Search for all occurrences
  CompositionMode_Lighten | Search for all occurrences
  CompositionMode_ColorDodge | Search for all occurrences
  CompositionMode_ColorBurn | Search for all occurrences
  CompositionMode_HardLight | Search for all occurrences
  CompositionMode_SoftLight | Search for all occurrences
  CompositionMode_Difference | Search for all occurrences
  CompositionMode_Exclusion | Search for all occurrences
  RasterOp_SourceOrDestination | Search for all occurrences
  RasterOp_SourceAndDestination | Search for all occurrences
  RasterOp_SourceXorDestination | Search for all occurrences
  RasterOp_NotSourceAndNotDestination | Search for all occurrences
  RasterOp_NotSourceOrNotDestination | Search for all occurrences
  RasterOp_NotSourceXorDestination | Search for all occurrences
  RasterOp_NotSource | Search for all occurrences
  RasterOp_NotSourceAndDestination | Search for all occurrences
  RasterOp_SourceAndNotDestination | Search for all occurrences

Definition at line 137 of file qpainter.h.

                             {
            CompositionMode_SourceOver,
            CompositionMode_DestinationOver,
            CompositionMode_Clear,
            CompositionMode_Source,
            CompositionMode_Destination,
            CompositionMode_SourceIn,
            CompositionMode_DestinationIn,
            CompositionMode_SourceOut,
            CompositionMode_DestinationOut,
            CompositionMode_SourceAtop,
            CompositionMode_DestinationAtop,
            CompositionMode_Xor,

            //svg 1.2 blend modes
            CompositionMode_Plus,
            CompositionMode_Multiply,
            CompositionMode_Screen,
            CompositionMode_Overlay,
            CompositionMode_Darken,
            CompositionMode_Lighten,
            CompositionMode_ColorDodge,
            CompositionMode_ColorBurn,
            CompositionMode_HardLight,
            CompositionMode_SoftLight,
            CompositionMode_Difference,
            CompositionMode_Exclusion,

            // ROPs
            RasterOp_SourceOrDestination,
            RasterOp_SourceAndDestination,
            RasterOp_SourceXorDestination,
            RasterOp_NotSourceAndNotDestination,
            RasterOp_NotSourceOrNotDestination,
            RasterOp_NotSourceXorDestination,
            RasterOp_NotSource,
            RasterOp_NotSourceAndDestination,
            RasterOp_SourceAndNotDestination
        };

## Constructor & Destructor Documentation

QPainter | ( |  | ) |

QPainter | ( | QPaintDevice * |  | ) | `[explicit]`

~QPainter | ( |  | ) |

## Member Function Documentation

QPaintDevice* device | ( |  | ) | const

Search for all occurrences

bool begin | ( | QPaintDevice * |  | ) |

Search for all occurrences

bool end | ( |  | ) |

Search for all occurrences

bool isActive | ( |  | ) | const

Search for all occurrences

void initFrom | ( | const QWidget * | widget | ) |

Search for all occurrences

void setCompositionMode | ( | CompositionMode | mode | ) |

Search for all occurrences

CompositionMode compositionMode | ( |  | ) | const

Search for all occurrences

const QFont& font | ( |  | ) | const

Search for all occurrences

void setFont | ( | const QFont & | f | ) |

Search for all occurrences

QFontMetrics fontMetrics | ( |  | ) | const

Search for all occurrences

QFontInfo fontInfo | ( |  | ) | const

Search for all occurrences

void setPen | ( | const QColor & | color | ) |

Search for all occurrences

void setPen | ( | const QPen & | pen | ) |

Search for all occurrences

void setPen | ( | Qt::PenStyle | style | ) |

Search for all occurrences

const QPen& pen | ( |  | ) | const

Search for all occurrences

void setBrush | ( | const QBrush & | brush | ) |

Search for all occurrences

void setBrush | ( | Qt::BrushStyle | style | ) |

Search for all occurrences

const QBrush& brush | ( |  | ) | const

Search for all occurrences

void setBackgroundMode | ( | Qt::BGMode | mode | ) |

Search for all occurrences

Qt::BGMode backgroundMode | ( |  | ) | const

Search for all occurrences

QPoint brushOrigin | ( |  | ) | const

Search for all occurrences

void setBrushOrigin | ( | int | x,
|  | int | y
| ) |  | `[inline]`

Search for all occurrences

Definition at line 815 of file qpainter.h.

    {
        setBrushOrigin(QPoint(x, y));
    }

void setBrushOrigin | ( | const QPoint & | p | ) | `[inline]`

Search for all occurrences

Definition at line 820 of file qpainter.h.

    {
        setBrushOrigin(QPointF(p));
    }

void setBrushOrigin | ( | const QPointF & |  | ) |

Search for all occurrences

void setBackground | ( | const QBrush & | bg | ) |

Search for all occurrences

const QBrush& background | ( |  | ) | const

Search for all occurrences

qreal opacity | ( |  | ) | const

Search for all occurrences

void setOpacity | ( | qreal | opacity | ) |

Search for all occurrences

QRegion clipRegion | ( |  | ) | const

Search for all occurrences

QPainterPath clipPath | ( |  | ) | const

Search for all occurrences

void setClipRect | ( | const QRectF & | ,
|  | Qt::ClipOperation | op = `Qt::ReplaceClip`
| ) |  |

Search for all occurrences

void setClipRect | ( | const QRect & | ,
|  | Qt::ClipOperation | op = `Qt::ReplaceClip`
| ) |  |

Search for all occurrences

void setClipRect | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | Qt::ClipOperation | op = `Qt::ReplaceClip`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 759 of file qpainter.h.

    {
        setClipRect(QRect(x, y, w, h), op);
    }

void setClipRegion | ( | const QRegion & | ,
|  | Qt::ClipOperation | op = `Qt::ReplaceClip`
| ) |  |

Search for all occurrences

void setClipPath | ( | const QPainterPath & | path,
|  | Qt::ClipOperation | op = `Qt::ReplaceClip`
| ) |  |

Search for all occurrences

void setClipping | ( | bool | enable | ) |

Search for all occurrences

bool hasClipping | ( |  | ) | const

Search for all occurrences

void save | ( |  | ) |

Search for all occurrences

void restore | ( |  | ) |

Search for all occurrences

void setMatrix | ( | const QMatrix & | matrix,
|  | bool | combine = `false`
| ) |  |

Search for all occurrences

const QMatrix& matrix | ( |  | ) | const

Search for all occurrences

const QMatrix& deviceMatrix | ( |  | ) | const

Search for all occurrences

void resetMatrix | ( |  | ) |

Search for all occurrences

void setTransform | ( | const QTransform & | transform,
|  | bool | combine = `false`
| ) |  |

Search for all occurrences

const QTransform& transform | ( |  | ) | const

Search for all occurrences

const QTransform& deviceTransform | ( |  | ) | const

Search for all occurrences

void resetTransform | ( |  | ) |

Search for all occurrences

void setWorldMatrix | ( | const QMatrix & | matrix,
|  | bool | combine = `false`
| ) |  |

Search for all occurrences

const QMatrix& worldMatrix | ( |  | ) | const

Search for all occurrences

void setWorldTransform | ( | const QTransform & | matrix,
|  | bool | combine = `false`
| ) |  |

Search for all occurrences

const QTransform& worldTransform | ( |  | ) | const

Search for all occurrences

QMatrix combinedMatrix | ( |  | ) | const

Search for all occurrences

QTransform combinedTransform | ( |  | ) | const

Search for all occurrences

void setMatrixEnabled | ( | bool | enabled | ) |

Search for all occurrences

bool matrixEnabled | ( |  | ) | const

Search for all occurrences

void setWorldMatrixEnabled | ( | bool | enabled | ) |

Search for all occurrences

bool worldMatrixEnabled | ( |  | ) | const

Search for all occurrences

void scale | ( | qreal | sx,
|  | qreal | sy
| ) |  |

Search for all occurrences

void shear | ( | qreal | sh,
|  | qreal | sv
| ) |  |

Search for all occurrences

void rotate | ( | qreal | a | ) |

Search for all occurrences

void translate | ( | const QPointF & | offset | ) |

Search for all occurrences

void translate | ( | const QPoint & | offset | ) | `[inline]`

Search for all occurrences

Definition at line 970 of file qpainter.h.

    {
        translate(offset.x(), offset.y());
    }

void translate | ( | qreal | dx,
|  | qreal | dy
| ) |  | `[inline]`

Search for all occurrences

Definition at line 965 of file qpainter.h.

    {
        translate(QPointF(dx, dy));
    }

QRect window | ( |  | ) | const

Search for all occurrences

void setWindow | ( | const QRect & | window | ) |

Search for all occurrences

void setWindow | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  | `[inline]`

Search for all occurrences

Definition at line 980 of file qpainter.h.

    {
        setWindow(QRect(x, y, w, h));
    }

QRect viewport | ( |  | ) | const

Search for all occurrences

void setViewport | ( | const QRect & | viewport | ) |

Search for all occurrences

void setViewport | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  | `[inline]`

Search for all occurrences

Definition at line 975 of file qpainter.h.

    {
        setViewport(QRect(x, y, w, h));
    }

void setViewTransformEnabled | ( | bool | enable | ) |

Search for all occurrences

bool viewTransformEnabled | ( |  | ) | const

Search for all occurrences

void strokePath | ( | const QPainterPath & | path,
|  | const QPen & | pen
| ) |  |

Search for all occurrences

void fillPath | ( | const QPainterPath & | path,
|  | const QBrush & | brush
| ) |  |

Search for all occurrences

void drawPath | ( | const QPainterPath & | path | ) |

Search for all occurrences

void drawPoint | ( | const QPointF & | pt | ) | `[inline]`

Search for all occurrences

Definition at line 666 of file qpainter.h.

    {
        drawPoints(&p, 1);
    }

void drawPoint | ( | const QPoint & | p | ) | `[inline]`

Search for all occurrences

Definition at line 677 of file qpainter.h.

    {
        drawPoints(&p, 1);
    }

void drawPoint | ( | int | x,
|  | int | y
| ) |  | `[inline]`

Search for all occurrences

Definition at line 671 of file qpainter.h.

    {
        QPoint p(x, y);
        drawPoints(&p, 1);
    }

void drawPoints | ( | const QPointF * | points,
|  | int | pointCount
| ) |  |

Search for all occurrences

void drawPoints | ( | const QPolygonF & | points | ) | `[inline]`

Search for all occurrences

Definition at line 682 of file qpainter.h.

    {
        drawPoints(points.constData(), points.size());
    }

void drawPoints | ( | const QPoint * | points,
|  | int | pointCount
| ) |  |

Search for all occurrences

void drawPoints | ( | const QPolygon & | points | ) | `[inline]`

Search for all occurrences

Definition at line 687 of file qpainter.h.

    {
        drawPoints(points.constData(), points.size());
    }

void drawLine | ( | const QLineF & | line | ) | `[inline]`

Search for all occurrences

Definition at line 563 of file qpainter.h.

    {
        drawLines(&l, 1);
    }

void drawLine | ( | const QLine & | line | ) | `[inline]`

Search for all occurrences

Definition at line 568 of file qpainter.h.

    {
        drawLines(&line, 1);
    }

void drawLine | ( | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2
| ) |  | `[inline]`

Search for all occurrences

Definition at line 573 of file qpainter.h.

    {
        QLine l(x1, y1, x2, y2);
        drawLines(&l, 1);
    }

void drawLine | ( | const QPoint & | p1,
|  | const QPoint & | p2
| ) |  | `[inline]`

Search for all occurrences

Definition at line 579 of file qpainter.h.

    {
        QLine l(p1, p2);
        drawLines(&l, 1);
    }

void drawLine | ( | const QPointF & | p1,
|  | const QPointF & | p2
| ) |  | `[inline]`

Search for all occurrences

Definition at line 585 of file qpainter.h.

    {
        drawLine(QLineF(p1, p2));
    }

void drawLines | ( | const QLineF * | lines,
|  | int | lineCount
| ) |  |

Search for all occurrences

void drawLines | ( | const QVector< QLineF > & | lines | ) | `[inline]`

Search for all occurrences

Definition at line 590 of file qpainter.h.

    {
        drawLines(lines.constData(), lines.size());
    }

void drawLines | ( | const QPointF * | pointPairs,
|  | int | lineCount
| ) |  |

Search for all occurrences

void drawLines | ( | const QVector< QPointF > & | pointPairs | ) | `[inline]`

Search for all occurrences

Definition at line 600 of file qpainter.h.

    {
        drawLines(pointPairs.constData(), pointPairs.size() / 2);
    }

void drawLines | ( | const QLine * | lines,
|  | int | lineCount
| ) |  |

Search for all occurrences

void drawLines | ( | const QVector< QLine > & | lines | ) | `[inline]`

Search for all occurrences

Definition at line 595 of file qpainter.h.

    {
        drawLines(lines.constData(), lines.size());
    }

void drawLines | ( | const QPoint * | pointPairs,
|  | int | lineCount
| ) |  |

Search for all occurrences

void drawLines | ( | const QVector< QPoint > & | pointPairs | ) | `[inline]`

Search for all occurrences

Definition at line 605 of file qpainter.h.

    {
        drawLines(pointPairs.constData(), pointPairs.size() / 2);
    }

void drawRect | ( | const QRectF & | rect | ) | `[inline]`

Search for all occurrences

Definition at line 640 of file qpainter.h.

    {
        drawRects(&rect, 1);
    }

void drawRect | ( | int | x1,
|  | int | y1,
|  | int | w,
|  | int | h
| ) |  | `[inline]`

Search for all occurrences

Definition at line 645 of file qpainter.h.

    {
        QRect r(x, y, w, h);
        drawRects(&r, 1);
    }

void drawRect | ( | const QRect & | rect | ) | `[inline]`

Search for all occurrences

Definition at line 651 of file qpainter.h.

    {
        drawRects(&r, 1);
    }

void drawRects | ( | const QRectF * | rects,
|  | int | rectCount
| ) |  |

Search for all occurrences

void drawRects | ( | const QVector< QRectF > & | rectangles | ) | `[inline]`

Search for all occurrences

Definition at line 656 of file qpainter.h.

    {
        drawRects(rects.constData(), rects.size());
    }

void drawRects | ( | const QRect * | rects,
|  | int | rectCount
| ) |  |

Search for all occurrences

void drawRects | ( | const QVector< QRect > & | rectangles | ) | `[inline]`

Search for all occurrences

Definition at line 661 of file qpainter.h.

    {
        drawRects(rects.constData(), rects.size());
    }

void drawEllipse | ( | const QRectF & | r | ) |

Search for all occurrences

void drawEllipse | ( | const QRect & | r | ) |

Search for all occurrences

void drawEllipse | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  | `[inline]`

Search for all occurrences

Definition at line 714 of file qpainter.h.

    {
        drawEllipse(QRect(x, y, w, h));
    }

void drawEllipse | ( | const QPointF & | center,
|  | qreal | rx,
|  | qreal | ry
| ) |  | `[inline]`

Search for all occurrences

Definition at line 719 of file qpainter.h.

    {
        drawEllipse(QRectF(center.x() - rx, center.y() - ry, 2 * rx, 2 * ry));
    }

void drawEllipse | ( | const QPoint & | center,
|  | int | rx,
|  | int | ry
| ) |  | `[inline]`

Search for all occurrences

Definition at line 724 of file qpainter.h.

    {
        drawEllipse(QRect(center.x() - rx, center.y() - ry, 2 * rx, 2 * ry));
    }

void drawPolyline | ( | const QPointF * | points,
|  | int | pointCount
| ) |  |

Search for all occurrences

void drawPolyline | ( | const QPolygonF & | polyline | ) | `[inline]`

Search for all occurrences

Definition at line 610 of file qpainter.h.

    {
        drawPolyline(polyline.constData(), polyline.size());
    }

void drawPolyline | ( | const QPoint * | points,
|  | int | pointCount
| ) |  |

Search for all occurrences

void drawPolyline | ( | const QPolygon & | polygon | ) | `[inline]`

Search for all occurrences

Definition at line 615 of file qpainter.h.

    {
        drawPolyline(polyline.constData(), polyline.size());
    }

void drawPolygon | ( | const QPointF * | points,
|  | int | pointCount,
|  | Qt::FillRule | fillRule = `Qt::OddEvenFill`
| ) |  |

Search for all occurrences

void drawPolygon | ( | const QPolygonF & | polygon,
|  | Qt::FillRule | fillRule = `Qt::OddEvenFill`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 620 of file qpainter.h.

    {
        drawPolygon(polygon.constData(), polygon.size(), fillRule);
    }

void drawPolygon | ( | const QPoint * | points,
|  | int | pointCount,
|  | Qt::FillRule | fillRule = `Qt::OddEvenFill`
| ) |  |

Search for all occurrences

void drawPolygon | ( | const QPolygon & | polygon,
|  | Qt::FillRule | fillRule = `Qt::OddEvenFill`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 625 of file qpainter.h.

    {
        drawPolygon(polygon.constData(), polygon.size(), fillRule);
    }

void drawConvexPolygon | ( | const QPointF * | points,
|  | int | pointCount
| ) |  |

Search for all occurrences

void drawConvexPolygon | ( | const QPolygonF & | polygon | ) | `[inline]`

Search for all occurrences

Definition at line 630 of file qpainter.h.

    {
        drawConvexPolygon(poly.constData(), poly.size());
    }

void drawConvexPolygon | ( | const QPoint * | points,
|  | int | pointCount
| ) |  |

Search for all occurrences

void drawConvexPolygon | ( | const QPolygon & | polygon | ) | `[inline]`

Search for all occurrences

Definition at line 635 of file qpainter.h.

    {
        drawConvexPolygon(poly.constData(), poly.size());
    }

void drawArc | ( | const QRectF & | rect,
|  | int | a,
|  | int | alen
| ) |  |

Search for all occurrences

void drawArc | ( | const QRect & | r,
|  | int | a,
|  | int | alen
| ) |  | `[inline]`

Search for all occurrences

Definition at line 729 of file qpainter.h.

    {
        drawArc(QRectF(r), a, alen);
    }

void drawArc | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | int | a,
|  | int | alen
| ) |  | `[inline]`

Search for all occurrences

Definition at line 734 of file qpainter.h.

    {
        drawArc(QRectF(x, y, w, h), a, alen);
    }

void drawPie | ( | const QRectF & | rect,
|  | int | a,
|  | int | alen
| ) |  |

Search for all occurrences

void drawPie | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | int | a,
|  | int | alen
| ) |  | `[inline]`

Search for all occurrences

Definition at line 744 of file qpainter.h.

    {
        drawPie(QRectF(x, y, w, h), a, alen);
    }

void drawPie | ( | const QRect & | rect,
|  | int | a,
|  | int | alen
| ) |  | `[inline]`

Search for all occurrences

Definition at line 739 of file qpainter.h.

    {
        drawPie(QRectF(rect), a, alen);
    }

void drawChord | ( | const QRectF & | rect,
|  | int | a,
|  | int | alen
| ) |  |

Search for all occurrences

void drawChord | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | int | a,
|  | int | alen
| ) |  | `[inline]`

Search for all occurrences

Definition at line 754 of file qpainter.h.

    {
        drawChord(QRectF(x, y, w, h), a, alen);
    }

void drawChord | ( | const QRect & | rect,
|  | int | a,
|  | int | alen
| ) |  | `[inline]`

Search for all occurrences

Definition at line 749 of file qpainter.h.

    {
        drawChord(QRectF(rect), a, alen);
    }

void drawRoundedRect | ( | const QRectF & | rect,
|  | qreal | xRadius,
|  | qreal | yRadius,
|  | Qt::SizeMode | mode = `Qt::AbsoluteSize`
| ) |  |

Search for all occurrences

void drawRoundedRect | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | qreal | xRadius,
|  | qreal | yRadius,
|  | Qt::SizeMode | mode = `Qt::AbsoluteSize`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 702 of file qpainter.h.

    {
        drawRoundedRect(QRectF(x, y, w, h), xRadius, yRadius, mode);
    }

void drawRoundedRect | ( | const QRect & | rect,
|  | qreal | xRadius,
|  | qreal | yRadius,
|  | Qt::SizeMode | mode = `Qt::AbsoluteSize`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 708 of file qpainter.h.

    {
        drawRoundedRect(QRectF(rect), xRadius, yRadius, mode);
    }

void drawRoundRect | ( | const QRectF & | r,
|  | int | xround = `25`,
|  | int | yround = `25`
| ) |  |

Search for all occurrences

void drawRoundRect | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | int | xRnd = `25`,
|  | int | yRnd = `25`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 692 of file qpainter.h.

    {
        drawRoundRect(QRectF(x, y, w, h), xRnd, yRnd);
    }

void drawRoundRect | ( | const QRect & | r,
|  | int | xround = `25`,
|  | int | yround = `25`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 697 of file qpainter.h.

    {
        drawRoundRect(QRectF(rect), xRnd, yRnd);
    }

void drawTiledPixmap | ( | const QRectF & | rect,
|  | const QPixmap & | pm,
|  | const QPointF & | offset = `QPointF()`
| ) |  |

Search for all occurrences

void drawTiledPixmap | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | const QPixmap & | pm,
|  | int | sx = `0`,
|  | int | sy = `0`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 830 of file qpainter.h.

    {
        drawTiledPixmap(QRectF(x, y, w, h), pm, QPointF(sx, sy));
    }

void drawTiledPixmap | ( | const QRect & | rect,
|  | const QPixmap & | pm,
|  | const QPoint & | offset = `QPoint()`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 825 of file qpainter.h.

    {
        drawTiledPixmap(QRectF(rect), pm, QPointF(offset));
    }

void drawPicture | ( | const QPointF & | p,
|  | const QPicture & | picture
| ) |  |

Search for all occurrences

void drawPicture | ( | int | x,
|  | int | y,
|  | const QPicture & | picture
| ) |  | `[inline]`

Search for all occurrences

Definition at line 986 of file qpainter.h.

    {
        drawPicture(QPoint(x, y), p);
    }

void drawPicture | ( | const QPoint & | p,
|  | const QPicture & | picture
| ) |  | `[inline]`

Search for all occurrences

Definition at line 991 of file qpainter.h.

    {
        drawPicture(QPointF(pt), p);
    }

void drawPixmap | ( | const QRectF & | targetRect,
|  | const QPixmap & | pixmap,
|  | const QRectF & | sourceRect
| ) |  |

Search for all occurrences

void drawPixmap | ( | const QRect & | targetRect,
|  | const QPixmap & | pixmap,
|  | const QRect & | sourceRect
| ) |  | `[inline]`

Search for all occurrences

Definition at line 835 of file qpainter.h.

    {
        drawPixmap(QRectF(targetRect), pixmap, QRectF(sourceRect));
    }

void drawPixmap | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | const QPixmap & | pm,
|  | int | sx,
|  | int | sy,
|  | int | sw,
|  | int | sh
| ) |  | `[inline]`

Search for all occurrences

Definition at line 860 of file qpainter.h.

    {
        drawPixmap(QRectF(x, y, w, h), pm, QRectF(sx, sy, sw, sh));
    }

void drawPixmap | ( | int | x,
|  | int | y,
|  | const QPixmap & | pm,
|  | int | sx,
|  | int | sy,
|  | int | sw,
|  | int | sh
| ) |  | `[inline]`

Search for all occurrences

Definition at line 866 of file qpainter.h.

    {
        drawPixmap(QRectF(x, y, -1, -1), pm, QRectF(sx, sy, sw, sh));
    }

void drawPixmap | ( | const QPointF & | p,
|  | const QPixmap & | pm,
|  | const QRectF & | sr
| ) |  | `[inline]`

Search for all occurrences

Definition at line 872 of file qpainter.h.

    {
        drawPixmap(QRectF(p.x(), p.y(), -1, -1), pm, sr);
    }

void drawPixmap | ( | const QPoint & | p,
|  | const QPixmap & | pm,
|  | const QRect & | sr
| ) |  | `[inline]`

Search for all occurrences

Definition at line 877 of file qpainter.h.

    {
        drawPixmap(QRectF(p.x(), p.y(), -1, -1), pm, sr);
    }

void drawPixmap | ( | const QPointF & | p,
|  | const QPixmap & | pm
| ) |  |

Search for all occurrences

void drawPixmap | ( | const QPoint & | p,
|  | const QPixmap & | pm
| ) |  | `[inline]`

Search for all occurrences

Definition at line 840 of file qpainter.h.

    {
        drawPixmap(QPointF(p), pm);
    }

void drawPixmap | ( | int | x,
|  | int | y,
|  | const QPixmap & | pm
| ) |  | `[inline]`

Search for all occurrences

Definition at line 850 of file qpainter.h.

    {
        drawPixmap(QPointF(x, y), pm);
    }

void drawPixmap | ( | const QRect & | r,
|  | const QPixmap & | pm
| ) |  | `[inline]`

Search for all occurrences

Definition at line 845 of file qpainter.h.

    {
        drawPixmap(QRectF(r), pm, QRectF());
    }

void drawPixmap | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | const QPixmap & | pm
| ) |  | `[inline]`

Search for all occurrences

Definition at line 855 of file qpainter.h.

    {
        drawPixmap(QRectF(x, y, w, h), pm, QRectF());
    }

void drawPixmapFragments | ( | const PixmapFragment * | fragments,
|  | int | fragmentCount,
|  | const QPixmap & | pixmap,
|  | PixmapFragmentHints | hints = `0`
| ) |  |

Search for all occurrences

void drawImage | ( | const QRectF & | targetRect,
|  | const QImage & | image,
|  | const QRectF & | sourceRect,
|  | Qt::ImageConversionFlags | flags = `Qt::AutoColor`
| ) |  |

Search for all occurrences

void drawImage | ( | const QRect & | targetRect,
|  | const QImage & | image,
|  | const QRect & | sourceRect,
|  | Qt::ImageConversionFlags | flags = `Qt::AutoColor`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 887 of file qpainter.h.

    {
        drawImage(QRectF(targetRect), image, QRectF(sourceRect), flags);
    }

void drawImage | ( | const QPointF & | p,
|  | const QImage & | image,
|  | const QRectF & | sr,
|  | Qt::ImageConversionFlags | flags = `Qt::AutoColor`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 893 of file qpainter.h.

    {
        drawImage(QRectF(p.x(), p.y(), -1, -1), image, sr, flags);
    }

void drawImage | ( | const QPoint & | p,
|  | const QImage & | image,
|  | const QRect & | sr,
|  | Qt::ImageConversionFlags | flags = `Qt::AutoColor`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 899 of file qpainter.h.

    {
        drawImage(QRect(p.x(), p.y(), -1, -1), image, sr, flags);
    }

void drawImage | ( | const QRectF & | r,
|  | const QImage & | image
| ) |  | `[inline]`

Search for all occurrences

Definition at line 906 of file qpainter.h.

    {
        drawImage(r, image, QRect(0, 0, image.width(), image.height()));
    }

void drawImage | ( | const QRect & | r,
|  | const QImage & | image
| ) |  | `[inline]`

Search for all occurrences

Definition at line 911 of file qpainter.h.

    {
        drawImage(r, image, QRectF(0, 0, image.width(), image.height()));
    }

void drawImage | ( | const QPointF & | p,
|  | const QImage & | image
| ) |  |

Search for all occurrences

void drawImage | ( | const QPoint & | p,
|  | const QImage & | image
| ) |  | `[inline]`

Search for all occurrences

Definition at line 916 of file qpainter.h.

    {
        drawImage(QPointF(p), image);
    }

void drawImage | ( | int | x,
|  | int | y,
|  | const QImage & | image,
|  | int | sx = `0`,
|  | int | sy = `0`,
|  | int | sw = `-1`,
|  | int | sh = `-1`,
|  | Qt::ImageConversionFlags | flags = `Qt::AutoColor`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 921 of file qpainter.h.

    {
        if (sx == 0 && sy == 0 && sw == -1 && sh == -1 && flags == Qt::AutoColor)
            drawImage(QPointF(x, y), image);
        else
            drawImage(QRectF(x, y, -1, -1), image, QRectF(sx, sy, sw, sh), flags);
    }

void setLayoutDirection | ( | Qt::LayoutDirection | direction | ) |

Search for all occurrences

Qt::LayoutDirection layoutDirection | ( |  | ) | const

Search for all occurrences

void drawStaticText | ( | const QPointF & | topLeftPosition,
|  | const QStaticText & | staticText
| ) |  |

Search for all occurrences

void drawStaticText | ( | const QPoint & | topLeftPosition,
|  | const QStaticText & | staticText
| ) |  | `[inline]`

Search for all occurrences

Definition at line 930 of file qpainter.h.

    {
        drawStaticText(QPointF(p), staticText);
    }

void drawStaticText | ( | int | left,
|  | int | top,
|  | const QStaticText & | staticText
| ) |  | `[inline]`

Search for all occurrences

Definition at line 935 of file qpainter.h.

    {
        drawStaticText(QPointF(x, y), staticText);
    }

void drawText | ( | const QPointF & | p,
|  | const QString & | s
| ) |  |

Search for all occurrences

void drawText | ( | const QPoint & | p,
|  | const QString & | s
| ) |  | `[inline]`

Search for all occurrences

Definition at line 945 of file qpainter.h.

    {
        drawText(QPointF(p), s);
    }

void drawText | ( | int | x,
|  | int | y,
|  | const QString & | s
| ) |  | `[inline]`

Search for all occurrences

Definition at line 955 of file qpainter.h.

    {
        drawText(QPointF(x, y), s);
    }

void drawText | ( | const QPointF & | p,
|  | const QString & | str,
|  | int | tf,
|  | int | justificationPadding
| ) |  |

Search for all occurrences

void drawText | ( | const QRectF & | r,
|  | int | flags,
|  | const QString & | text,
|  | QRectF * | br = `0`
| ) |  |

Search for all occurrences

void drawText | ( | const QRect & | r,
|  | int | flags,
|  | const QString & | text,
|  | QRect * | br = `0`
| ) |  |

Search for all occurrences

void drawText | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | int | flags,
|  | const QString & | text,
|  | QRect * | br = `0`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 950 of file qpainter.h.

    {
        drawText(QRect(x, y, w, h), flags, str, br);
    }

void drawText | ( | const QRectF & | r,
|  | const QString & | text,
|  | const QTextOption & | o = `QTextOption()`
| ) |  |

Search for all occurrences

QRectF boundingRect | ( | const QRectF & | rect,
|  | int | flags,
|  | const QString & | text
| ) |  |

Search for all occurrences

QRect boundingRect | ( | const QRect & | rect,
|  | int | flags,
|  | const QString & | text
| ) |  |

Search for all occurrences

QRect boundingRect | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | int | flags,
|  | const QString & | text
| ) |  | `[inline]`

Search for all occurrences

Definition at line 960 of file qpainter.h.

    {
        return boundingRect(QRect(x, y, w, h), flags, text);
    }

QRectF boundingRect | ( | const QRectF & | rect,
|  | const QString & | text,
|  | const QTextOption & | o = `QTextOption()`
| ) |  |

Search for all occurrences

void drawTextItem | ( | const QPointF & | p,
|  | const QTextItem & | ti
| ) |  |

Search for all occurrences

void drawTextItem | ( | int | x,
|  | int | y,
|  | const QTextItem & | ti
| ) |  | `[inline]`

Search for all occurrences

Definition at line 882 of file qpainter.h.

    {
        drawTextItem(QPointF(x, y), ti);
    }

void drawTextItem | ( | const QPoint & | p,
|  | const QTextItem & | ti
| ) |  | `[inline]`

Search for all occurrences

Definition at line 940 of file qpainter.h.

    {
        drawTextItem(QPointF(p), ti);
    }

void fillRect | ( | const QRectF & | ,
|  | const QBrush & |
| ) |  |

Search for all occurrences

void fillRect | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | const QBrush & | b
| ) |  | `[inline]`

Search for all occurrences

Definition at line 774 of file qpainter.h.

    {
        fillRect(QRect(x, y, w, h), b);
    }

void fillRect | ( | const QRect & | ,
|  | const QBrush & |
| ) |  |

Search for all occurrences

void fillRect | ( | const QRectF & | ,
|  | const QColor & | color
| ) |  |

Search for all occurrences

void fillRect | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | const QColor & | color
| ) |  | `[inline]`

Search for all occurrences

Definition at line 779 of file qpainter.h.

    {
        fillRect(QRect(x, y, w, h), b);
    }

void fillRect | ( | const QRect & | ,
|  | const QColor & | color
| ) |  |

Search for all occurrences

void fillRect | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | Qt::GlobalColor | c
| ) |  | `[inline]`

Search for all occurrences

Definition at line 784 of file qpainter.h.

    {
        fillRect(QRect(x, y, w, h), QColor(c));
    }

void fillRect | ( | const QRect & | r,
|  | Qt::GlobalColor | c
| ) |  | `[inline]`

Search for all occurrences

Definition at line 789 of file qpainter.h.

    {
        fillRect(r, QColor(c));
    }

void fillRect | ( | const QRectF & | r,
|  | Qt::GlobalColor | c
| ) |  | `[inline]`

Search for all occurrences

Definition at line 794 of file qpainter.h.

    {
        fillRect(r, QColor(c));
    }

void fillRect | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | Qt::BrushStyle | style
| ) |  | `[inline]`

Search for all occurrences

Definition at line 799 of file qpainter.h.

    {
        fillRect(QRectF(x, y, w, h), QBrush(style));
    }

void fillRect | ( | const QRect & | r,
|  | Qt::BrushStyle | style
| ) |  | `[inline]`

Search for all occurrences

Definition at line 804 of file qpainter.h.

    {
        fillRect(QRectF(r), QBrush(style));
    }

void fillRect | ( | const QRectF & | r,
|  | Qt::BrushStyle | style
| ) |  | `[inline]`

Search for all occurrences

Definition at line 809 of file qpainter.h.

    {
        fillRect(r, QBrush(style));
    }

void eraseRect | ( | const QRectF & |  | ) |

Search for all occurrences

void eraseRect | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  | `[inline]`

Search for all occurrences

Definition at line 769 of file qpainter.h.

    {
        eraseRect(QRectF(x, y, w, h));
    }

void eraseRect | ( | const QRect & | rect | ) | `[inline]`

Search for all occurrences

Definition at line 764 of file qpainter.h.

    {
        eraseRect(QRectF(rect));
    }

void setRenderHint | ( | RenderHint | hint,
|  | bool | on = `true`
| ) |  |

Search for all occurrences

void setRenderHints | ( | RenderHints | hints,
|  | bool | on = `true`
| ) |  |

Search for all occurrences

RenderHints renderHints | ( |  | ) | const

Search for all occurrences

bool testRenderHint | ( | RenderHint | hint | ) | const `[inline]`

Search for all occurrences

Definition at line 448 of file qpainter.h.

    { return renderHints() & hint; }

QPaintEngine* paintEngine | ( |  | ) | const

Search for all occurrences

static void setRedirected | ( | const QPaintDevice * | device,
|  | QPaintDevice * | replacement,
|  | const QPoint & | offset = `QPoint()`
| ) |  | `[static]`

Search for all occurrences

static QPaintDevice* redirected | ( | const QPaintDevice * | device,
|  | QPoint * | offset = `0`
| ) |  | `[static]`

Search for all occurrences

static void restoreRedirected | ( | const QPaintDevice * | device | ) | `[static]`

Search for all occurrences

void beginNativePainting | ( |  | ) |

Search for all occurrences

void endNativePainting | ( |  | ) |

Search for all occurrences

## Friends And Related Function Documentation

friend class Q3Painter `[friend]`

Search for all occurrences

Definition at line 535 of file qpainter.h.

friend class QFontEngine `[friend]`

Search for all occurrences

Definition at line 539 of file qpainter.h.

friend class QFontEngineBox `[friend]`

Search for all occurrences

Definition at line 540 of file qpainter.h.

friend class QFontEngineFT `[friend]`

Search for all occurrences

Definition at line 541 of file qpainter.h.

friend class QFontEngineMac `[friend]`

Search for all occurrences

Definition at line 542 of file qpainter.h.

friend class QFontEngineWin `[friend]`

Search for all occurrences

Definition at line 543 of file qpainter.h.

friend class QFontEngineXLFD `[friend]`

Search for all occurrences

Definition at line 544 of file qpainter.h.

friend class QWSManager `[friend]`

Search for all occurrences

Definition at line 545 of file qpainter.h.

friend class QPaintEngine `[friend]`

Search for all occurrences

Definition at line 546 of file qpainter.h.

friend class QPaintEngineExPrivate `[friend]`

Search for all occurrences

Definition at line 547 of file qpainter.h.

friend class QOpenGLPaintEngine `[friend]`

Search for all occurrences

Definition at line 548 of file qpainter.h.

friend class QX11PaintEngine `[friend]`

Search for all occurrences

Definition at line 549 of file qpainter.h.

friend class QX11PaintEnginePrivate `[friend]`

Search for all occurrences

Definition at line 550 of file qpainter.h.

friend class QWin32PaintEngine `[friend]`

Search for all occurrences

Definition at line 551 of file qpainter.h.

friend class QWin32PaintEnginePrivate `[friend]`

Search for all occurrences

Definition at line 552 of file qpainter.h.

friend class QRasterPaintEngine `[friend]`

Search for all occurrences

Definition at line 553 of file qpainter.h.

friend class QAlphaPaintEngine `[friend]`

Search for all occurrences

Definition at line 554 of file qpainter.h.

friend class QPreviewPaintEngine `[friend]`

Search for all occurrences

Definition at line 555 of file qpainter.h.

The documentation for this class was generated from the following file:

- QtGui/qpainter.h

QPainter QPainter QPainter QPainter QPainter QPainter QPainter QPainter QPainter QPainter
QPainter QPainter QPainter QPainter QPainter QPainter QPainter QPainter QPainter QPainter